<?php
/**
 * gem Theme Customizer
 *
 * @package Gem
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function gem_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
}
add_action( 'customize_register', 'gem_customize_register' );



/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function gem_customize_preview_js() {
	wp_enqueue_script( 'gem_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'gem_customize_preview_js' );


if( get_theme_mod('enable_primary_color',false) ) {

	add_action( 'wp_head','wbls_customizer_primary_custom_css' );

		function wbls_customizer_primary_custom_css() {
			$primary_color = get_theme_mod( 'primary_color','#E5493A'); ?>

	<style type="text/css">

		input[type="text"]:focus,
		.widget_image-box-widget .image-box img,
		input[type="url"]:focus,
		input[type="search"]:focus,
		.home .post-wrapper .latest-post:hover h4,
		textarea:focus,
		ol.comment-list li.byuser article,
		.home .post-wrapper .latest-post:hover {
			border-color: <?php echo $primary_color; ?>;
		}

		.main-navigation .current_page_item > a,
		.main-navigation .current-menu-item > a,
		.main-navigation .current_page_ancestor > a,
		.main-navigation ul.nav-menu > li a:hover,.share-box ul li a:hover, .social ul li a:hover{
			background-color: <?php echo $primary_color; ?>;
		}

		 .main-navigation a:hover::after,
		 .main-navigation .current_page_item > a::after,
		 .main-navigation .current-menu-item > a::after,
		 .main-navigation .current_page_ancestor > a::after,
		 .main-navigation .current_page_parent > a::after {
		 	border-left: 25px solid <?php echo $primary_color; ?>;
		 }		


		#filters ul.filter-options li a.selected,
		.sidebar ul li a:hover,
		#secondary .widget_rss a:hover,
		.footer-top ul li a:hover,
		.widget_calendar table th a,
		.widget_calendar table td a,
		.site-footer .footer-top a:hover,
		.home .post-wrapper .latest-post:hover h4,     
		.hentry.sticky h1.entry-title a:hover,
		.hentry.sticky a:hover,
		.hentry.post h1 a:hover,
		.comment-metadata a:hover,
		a.more-link:hover,
		.site-main .comment-navigation a,
		#primary .entry-title a:hover,
		a,
		.widget-area .left-sidebar ul li a:hover,
		.copyright a,
		.copyright ul.menu li a:hover,
		.site-footer .footer-widgets a:hover,
		.breadcrumb-wrap .breadcrumb a:hover,
		.breadcrumb-wrap .breadcrumb a:focus,
		.site-footer .footer-widgets .widget_calendar table td a,
		.site-footer .footer-widgets .widget_rss ul a,
		.site-footer .footer-widgets .widget_tag_cloud a:hover,
		.latest-post-content h1 a:hover,
		.latest-post-content h2 a:hover,
		.latest-post-content h3 a:hover,
		.latest-post-content h4 a:hover,
		.latest-post-content h5 a:hover,
		.latest-post-content h6 a:hover,
		.copyright ul.menu li.current_page_item a,
		.comment-list > li article .comment-meta .comment-author b,
		.comment-list > li article .comment-meta .comment-author a,
		.comment-list > li article .comment-meta .comment-author cite,
		.comment-list > li article .reply i,.latest-post-content a.btn-readmore:hover,
		.woocommerce #content table.cart a.remove,
		.woocommerce table.cart a.remove,
		.woocommerce-page #content table.cart a.remove,
		.woocommerce-page table.cart a.remove,
        .cart-subtotal .amount,
        .woocommerce .woocommerce-breadcrumb a:hover,
         .woocommerce-page .woocommerce-breadcrumb a:hover
                  {
			color: <?php echo $primary_color; ?>;

		}

		th a,
		.left-sidebar #recentcomments a,
		#recentcomments a,
		.left-sidebar .widget_rss a,
		.widget_tag_cloud a:hover {
			color: <?php echo $primary_color;?> !important;
		}

		input[type="button"],
		.cnt-form .wpcf7-form input[type="submit"],
		input[type="submit"],
		.navigation a:hover,
		.widget_calendar table #today,
		.widget_calendar table caption,
		.site-header .branding .site-branding::before,
		.site-header .branding .site-branding,
		.site-footer .scroll-to-top,
		.site-footer .scroll-to-top:hover,
		.social .widget_social-networks-widget ul li a:hover,
		.main-navigation .current_page_item a,
		.main-navigation .current-menu-item a,
		.main-navigation .current-menu-parent > a,
		.main-navigation .current_page_parent > a,
		.entry-content blockquote::after,
		.widget_tag_cloud a:hover,
		.site-content .navigation a:hover,
		.site-content .comment-navigation a:hover,
		.site-content .more-link,
		.site-content .page-links a:hover,
		.site-footer .footer-widgets .widget-title::after,
		.home .flexslider .slides .flex-caption p a,
		.home .site-content #primary .post-wrapper-head h2::after,
		.footer-widgets .textwidget .wpcf7-form input.wpcf7-submit,
		.webulous_page_navi li.bpn-current,
		.webulous_page_navi li a:hover,
		.webulous_page_navi li.bpn-next-link a:hover,
		.webulous_page_navi li.bpn-prev-link a:hover,
		.share-box ul li a:hover,
		.site-footer .widget_social-networks-widget ul li a,
		.search-form input.search-submit,.woocommerce #content div.product .woocommerce-tabs ul.tabs li a:hover,
		.woocommerce div.product .woocommerce-tabs ul.tabs li a:hover,
		.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li a:hover,
		.woocommerce-page div.product .woocommerce-tabs ul.tabs li a:hover,
		.woocommerce #content div.product .woocommerce-tabs ul.tabs li.active,
		.woocommerce div.product .woocommerce-tabs ul.tabs li.active,
		.woocommerce-page #content div.product .woocommerce-tabs ul.tabs li.active,
		.woocommerce-page div.product .woocommerce-tabs ul.tabs li.active,
		.sidebar .icon-vertical .fa-stack,.woocommerce #content nav.woocommerce-pagination ul li a:focus,
		.woocommerce #content nav.woocommerce-pagination ul li a:hover,
		.woocommerce #content nav.woocommerce-pagination ul li span.current,
		.woocommerce nav.woocommerce-pagination ul li a:focus,
		.woocommerce nav.woocommerce-pagination ul li a:hover,
		.woocommerce nav.woocommerce-pagination ul li span.current,
		.woocommerce-page #content nav.woocommerce-pagination ul li a:focus,
		.woocommerce-page #content nav.woocommerce-pagination ul li a:hover,
		.woocommerce-page #content nav.woocommerce-pagination ul li span.current,
		.woocommerce-page nav.woocommerce-pagination ul li a:focus,
		.woocommerce-page nav.woocommerce-pagination ul li a:hover,
		.woocommerce-page nav.woocommerce-pagination ul li span.current,
		#secondary.sidebar .widget_testimonial-widget .testimonial-container .testimonials,
		.circle-icon-box .circle-icon-wrapper,.woocommerce a.remove,.site-content .pagination .page-numbers:hover,.site-content .pagination .next:hover, .site-content .pagination .current {
			background-color: <?php echo $primary_color; ?>;
		}

		#primary .sticky,.woocommerce #content input.button:hover,
		.woocommerce #respond input#submit:hover,.woocommerce a.button:hover,
		.woocommerce button.button:hover,
		.woocommerce input.button:hover,
		.woocommerce-page #content input.button:hover,.woocommerce-page a.button:hover,
		.woocommerce-page #respond input#submit:hover,
		.woocommerce-page button.button:hover,
		.woocommerce-page input.button:hover,
		.sub-menu .current_page_item > a,
		.sub-menu .current-menu-item > a,
		.sub-menu .current_page_ancestor > a,.main-navigation .sub-menu .current_page_item > a, .main-navigation .sub-menu .current-menu-item > a, .main-navigation .sub-menu .current_page_ancestor > a {
			background-color: <?php echo $primary_color; ?> !important; 
		}

		.site-footer .scroll-to-top:hover {
			opacity: 0.6;
		}

		.site-header .branding .social .widget .textwidget li:hover a::after,
		.site-footer .footer-widgets .widget-title::before,
		.home .site-content #primary .post-wrapper-head h2::before,
		.social .widget_social-networks-widget ul li:hover a:after {
			border-top-color: <?php echo $primary_color; ?>
		}

		.site-footer .footer-widgets .widget-title::before,
		.home .site-content #primary .post-wrapper-head h2::before {
			border-bottom-color: <?php echo $primary_color; ?>	
		}

		.widget_calendar table caption::before {
			border-right-color: <?php echo $primary_color; ?>;
		}

		.widget_calendar table caption::after,
		.site-header .branding .site-branding::after,.main-navigation a:hover::after, .main-navigation .current_page_item > a::after, .main-navigation .current-menu-item > a::after, .main-navigation .current-menu-parent > a::after, .main-navigation .current_page_ancestor > a::after, .main-navigation .current_page_parent > a::after {
			border-left-color: <?php echo $primary_color; ?>;
		}

		.site-content .navigation a:hover,
		.site-content .more-link:hover,
		.site-content .comment-navigation a:hover {
			border-color: <?php echo $primary_color; ?>;
		}

		</style>
<?php
	}
}

if( get_theme_mod('enable_nav_hover_color',false) ) {

	add_action( 'wp_head','wbls_customizer_hover_custom_css' );

		function wbls_customizer_hover_custom_css() {
			$nav_hover_color = get_theme_mod( 'nav_hover_color','#E5493A'); ?>

			<style type="text/css">

				.main-navigation .current_page_item > a:hover,
				.main-navigation .current-menu-item > a:hover,
				.main-navigation .current_page_ancestor > a:hover,
				.main-navigation ul.nav-menu > li a:hover,
				.current-menu-parent a:hover {
					background-color: <?php echo $nav_hover_color; ?>;
				}
				.main-navigation a:hover::after{
					border-left-color: <?php echo $nav_hover_color; ?>;
				}
				
			</style>
<?php }
}

if( get_theme_mod('enable_nav_bar_color',false) ) {

	add_action( 'wp_head','wbls_customizer_navbar_custom_css' );

		function wbls_customizer_navbar_custom_css() {
			$nav_bar_color = get_theme_mod( 'nav_bar_color','#242424'); ?>

			<style type="text/css">
				#nav-wrap {
					background-color: <?php echo $nav_bar_color; ?>;
				}
			</style>
<?php }
}

if( get_theme_mod('enable_secondary_color',false) ) {

	add_action( 'wp_head','wbls_customizer_secondary_custom_css' );

		function wbls_customizer_secondary_custom_css() {
			$secondary_color = get_theme_mod( 'secondary_color','#242424'); ?>

	<style type="text/css">

			/* secondary color */

				/*input[type="text"],
				input[type="email"],
				input[type="url"],
				input[type="password"],
				textarea,
				.cnt-form .wpcf7-form input[type="text"],
				input[type="search"],
				.search-form input[type="search"],
				input[type="text"]:focus,
				input[type="email"]:focus,
				input[type="url"]:focus,
				input[type="password"]:focus,
				input[type="search"]:focus,
				textarea:focus,*/

				.not-found-inner a:hover,
				.footer-bottom p a:hover,
				.entry-meta span a:hover,
				.entry-footer span a:hover,
				#secondary .widget_rss .widget-title .rsswidget,
				.footer-top ul li a,
				.more-link .meta-nav,
				.error-404.not-found,
				a.more-link,
				.site-main .comment-navigation a:hover,

				/* New */
				a:hover,
				a:focus,
				a:active,
				.comment-list > li article .reply:hover i,
				.comment-list > li article .comment-meta .comment-author b:hover,
				.comment-list > li article .comment-meta .comment-author a:hover,
				.comment-list > li article .comment-meta .comment-author cite:hover,
				.widget_calendar table th a:hover,
				.widget_calendar table td a:hover {
					color: <?php echo $secondary_color; ?>;
				}

				th a:hover,
				#recentcomments a:hover,
				.left-sidebar .widget_rss a:hover {
					color: <?php echo $secondary_color; ?> !important;
				}				

				.cnt-form .wpcf7-form input[type="submit"]:hover,
				.social .widget_social-networks-widget ul li a,
				.site-footer .footer-top,
				.widget_social-networks-widget ul li a:hover,
				input[type="button"]:hover,
				input[type="reset"]:hover,
				input[type="submit"]:hover,
				.comment-navigation .nav-previous,
				.paging-navigation .nav-previous,
				.header-wrap,
				.entry-header .header-entry-meta,
				.entry-body .header-entry-meta a.box-title:hover,
				.entry-body .header-entry-meta,
				.post-navigation .nav-previous,
				.navigation a,
				.comment-navigation a,
				ol.webulous_page_navi li a:hover,

				.home .flexslider .slides .flex-caption p a:hover,
				.home .flexslider .slides .flex-caption a:hover,
				.footer-widgets .textwidget .wpcf7-form input.wpcf7-submit:hover,
				.site-header .branding .social .widget .textwidget li a,
				.share-box ul li a,
				.site-footer .widget_social-networks-widget ul li a:hover,
				.site-footer .search-form input.search-submit:hover,
				.site-footer .search-form input[type="submit"]:hover {
					background-color: <?php echo $secondary_color; ?>;
				}

				.flexslider .slides .flex-caption p a::after {
					border-left-color: <?php echo $secondary_color; ?> !important;
				}

				.social .widget_social-networks-widget ul li a::after {
					border-top-color: <?php echo $secondary_color; ?>
				}

			</style>
<?php
		}
}


