<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package Gem
 */

get_header(); ?>

	<div class="breadcrumb-wrap">
		<div class="container">
			<div class="ten columns">
				<header class="entry-header">
					<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
				</header><!-- .entry-header -->			
			</div>
			<div class="six columns breadcrumb">
				<?php
				$breadcrumb = get_theme_mod( 'breadcrumb',true );
					if( $breadcrumb ) : ?>
					<?php gem_breadcrumbs(); ?>
				<?php endif; ?>
			</div>		
		</div>
	</div>

	<div id="content" class="site-content">
	<div class="container">

		<?php $sidebar_position = get_theme_mod( 'sidebar_position', 'right' ); ?>
		<?php if( 'left' == $sidebar_position ) :?>
			<?php get_sidebar(); ?>
		<?php endif; ?>

		<div id="primary" class="content-area eleven columns">
			<main id="main" class="site-main" role="main">

				<?php while ( have_posts() ) : the_post(); ?>

					<?php get_template_part( 'content', 'page' ); ?>

					<?php
						// If comments are open or we have at least one comment, load up the comment template
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
					?>

				<?php endwhile; // end of the loop. ?>

			</main><!-- #main -->
		</div><!-- #primary -->

	     <?php if( 'right' == $sidebar_position ) :?>
			<?php get_sidebar(); ?>
		<?php endif; ?>

<?php get_footer(); ?>
